﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using Infragistics.Web.UI.ListControls;

public partial class User_Controls_CascadeWebDropdown : System.Web.UI.UserControl
{
	protected override void OnInit(EventArgs e)
	{
		base.OnInit(e);
		

	}

	void wdd2_ItemsRequested(object sender, DropDownItemsRequestedEventArgs e)
	{
		this.wdd2.DataSource = GetBySecond(this.wdd1.CurrentValue);
		this.wdd2.DataBind();
	}

	void wdd3_ItemsRequested(object sender, DropDownItemsRequestedEventArgs e)
	{
		this.wdd3.DataSource = GetByFirst(this.wdd2.CurrentValue);
		this.wdd3.DataBind();
	}

    protected void Page_Load(object sender, EventArgs e)
    {
		this.wdd2.ItemsRequested += new DropDownItemsRequestedEventHandler(wdd2_ItemsRequested);
		this.wdd3.ItemsRequested += new DropDownItemsRequestedEventHandler(wdd3_ItemsRequested);
		this.wdd1.DataSource = FirstDataSource;
		this.wdd1.DataBind();
    }

	private IEnumerable<string> FirstDataSource
	{
		get
		{
			yield return "";
			yield return "1";
			yield return "2";
			yield return "3";
		}
	}

	private IEnumerable<string> GetByFirst(string firstValue)
	{
		for (int i = 1; i < 5; i++)
		{
			yield return firstValue + i.ToString();
		}
	}

	private IEnumerable<string> GetBySecond(string secondValue)
	{
		for (int i = 1; i < 5; i++)
		{
			yield return secondValue + i.ToString();
		}
	}

}